tasty-smallcheck-0.8.1: SmallCheck support for the Tasty test framework.

Safe Haskell | None
Language | Haskell98

Test.Tasty.SmallCheck

Description

This module allows to use SmallCheck properties in tasty.

Synopsis

- testProperty :: Testable IO a => TestName -> a -> TestTree
- newtype SmallCheckDepth = SmallCheckDepth Int
- module Test.SmallCheck

# Documentation

testProperty :: Testable IO a => TestName -> a -> TestTree Source

Create a `Test` for a SmallCheck `Testable` property

newtype SmallCheckDepth Source

The "depth" parameter for SmallCheck

Constructors

SmallCheckDepth Int |

Instances

Enum SmallCheckDepth Source |
Eq SmallCheckDepth Source |
Integral SmallCheckDepth Source |
Num SmallCheckDepth Source |
Ord SmallCheckDepth Source |
Real SmallCheckDepth Source |
IsOption SmallCheckDepth Source |

module Test.SmallCheck